Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Compiz-Fusion and emerald do not want to run correctly
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Thu Jul 09, 2009 8:44 am    Post subject: Compiz-Fusion and emerald do not want to run correctly Reply with quote

Hello,

I try to make working Compiz-Fusion & emerald on my computer but I get some problems ... When I run "compiz --replace && emerald --replace"
I lose the window manager (so far, it's normal) but emerald does not replace it, then there is finally no window manager and compiz-fusion does not work too, no default commands work.
When I type "compiz --replace" I get this message :
Code:

compiz (core) - Error: Couldn't load plugin 'yes'

ccsm works but no plugins are enabled ...

To install compiz-fusion I install these packages :
Code:

compizconfig-python-0.8.2
ccsm-0.8.2
simple-ccsm-0.8.2
compiz-bcop-0.8.2
compiz-plugins-main-0.8.2
compiz-plugins-extra-0.8.2
compiz-plugins-unsupported-0.8.2
emerald-themes-0.5.2
emerald-0.8.2
libcompizconfig-0.8.2
compiz-fusion-0.8.2
compiz-0.8.2


I decided to run "compiz --replace --debug", and I get that
Code:

compiz (core) - Debug: Could not stat() file /home/azmodai/.compiz/plugins/libcore.so : No such file or directory
compiz (core) - Debug: Could not stat() file /usr/lib64/compiz/libcore.so : No such file or directory
compiz (core) - Debug: Could not stat() file /home/azmodai/.compiz/plugins/libyes.so : No such file or directory
compiz (core) - Debug: Could not stat() file /usr/lib64/compiz/libyes.so : No such file or directory
compiz (core) - Debug: Could not stat() file libyes.so : No such file or directory
compiz (core) - Error: Couldn't load plugin 'yes'


But I don't know what to do to slove this problem.

I installed compiz-fusion thanks to the desktop-effects overlay,

Can you help me ?

Thanks,
Back to top
View user's profile Send private message
dave_i
n00b
n00b


Joined: 12 Jul 2009
Posts: 1

PostPosted: Sun Jul 12, 2009 1:22 am    Post subject: Reply with quote

*bump*

Hi everyone,

I'm having exactly the same problem. I installed gentoo a few days ago, and compiled KDE 4.2 fine, but I just can't get compiz or emerald to work. I'm having problems emerging compiz-fusion, but I don't think that's related to this problem, as azmodai has the same problem with it installed.

I'm running an AMD athon x2 with Nvidia 8200 onboard graphics, if that's any help...
Back to top
View user's profile Send private message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Mon Jul 13, 2009 8:44 am    Post subject: Reply with quote

up
Back to top
View user's profile Send private message
djroze
n00b
n00b


Joined: 03 Dec 2007
Posts: 2

PostPosted: Wed Jul 15, 2009 4:59 am    Post subject: Reply with quote

I'm also having the same problem under amd64. Has anyone managed to get this to work?
Back to top
View user's profile Send private message
alfagamma81
Tux's lil' helper
Tux's lil' helper


Joined: 22 Mar 2009
Posts: 86
Location: Finland

PostPosted: Wed Jul 15, 2009 5:40 pm    Post subject: Reply with quote

Don't really know if this helpful, but try running compiz with fusion-icon?

Code:
 emerge fusion-icon
Back to top
View user's profile Send private message
aricart
n00b
n00b


Joined: 15 Jun 2009
Posts: 16

PostPosted: Wed Jul 15, 2009 6:20 pm    Post subject: Reply with quote

Compiz Fusion comes with a script that will perform all of the necessary initialization for compiz and emerald on your system. The script is /usr/bin/compiz-manager.

If you open it up, you will see several options as well. The one you will be interested in is changing USE_EMERALD="no" to USE_EMERALD="yes". First test the script to ensure compiz and emerald come up correctly, then set it to start at login.
Back to top
View user's profile Send private message
UNIXgod
n00b
n00b


Joined: 08 Mar 2008
Posts: 12

PostPosted: Wed Jul 15, 2009 9:31 pm    Post subject: Reply with quote

you need to opem up ccsm and check
effects/window decoration
windowManagement/MoveWindow
windowManagement/resizeWindow

also as it was mentioned fusion icon is a good tool.
Back to top
View user's profile Send private message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Thu Jul 16, 2009 8:24 am    Post subject: Reply with quote

I get the same problem ...

Quote:

compiz (core) - Debug: Could not stat() file /home/azmodai/.compiz/plugins/libcore.so : No such file or directory
compiz (core) - Debug: Could not stat() file /usr/lib64/compiz/libcore.so : No such file or directory
compiz (core) - Debug: Could not stat() file /home/azmodai/.compiz/plugins/libyes.so : No such file or directory
compiz (core) - Debug: Could not stat() file /usr/lib64/compiz/libyes.so : No such file or directory
compiz (core) - Debug: Could not stat() file libyes.so : No such file or directory
compiz (core) - Error: Couldn't load plugin 'yes'


I installed fusion-icon and I edited the compiz-manager script but the var was already set to "YES" ,
I activated many window options too.

But I noticed something when I was editing the compiz-manager script, the COMPIZ_PLUGIN var is empty, is this normal ?
You can get my compiz-manager script here :
http://pastebin.com/m1de29835

thanks,
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Thu Jul 16, 2009 3:03 pm    Post subject: Reply with quote

Please update to the latest version of the compiz ebuilds in the tree.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Thu Jul 16, 2009 9:19 pm    Post subject: Reply with quote

I updated everything, I used the latest ebuilds from the desktop-effects overlay
(i.e. : compiz-0.8.2-r3, libcompizconfig-r2 etc ....)
and I got exactly the same problem when I launched "compiz --replace &"
Back to top
View user's profile Send private message
R.Aven
n00b
n00b


Joined: 04 Mar 2008
Posts: 51

PostPosted: Fri Jul 17, 2009 2:06 am    Post subject: Reply with quote

azmodai wrote:
I updated everything, I used the latest ebuilds from the desktop-effects overlay
(i.e. : compiz-0.8.2-r3, libcompizconfig-r2 etc ....)
and I got exactly the same problem when I launched "compiz --replace &"

I've got the same problem, too.
I can't even configure compiz with ccsm. It "forgets" all the changes I made. Also applying my backup configuration files to ~/.config/compiz does not work.

EDIT:
After downgrading to x11-wm/compiz-fusion-0.8.2, x11-libs/libcompizconfig-0.8.2 and x11-wm/compiz-0.8.2 I can use ccsm correctly, again. And compiz is running as well.
Back to top
View user's profile Send private message
piwacet
Guru
Guru


Joined: 30 Dec 2004
Posts: 486

PostPosted: Fri Jul 17, 2009 3:28 am    Post subject: Reply with quote

Downgrading libcompizconfig to 0.8.2 fixed it for me.
Back to top
View user's profile Send private message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Fri Jul 17, 2009 6:13 am    Post subject: Reply with quote

no luck for me ....
I downgraded everything as you said, no results ...
My package.keywords/compiz :
Quote:

=dev-python/compizconfig-python-0.8.2
=x11-apps/ccsm-0.8.2
=x11-apps/simple-ccsm-0.8.2
=x11-libs/compiz-bcop-0.8.2
=x11-plugins/compiz-plugins-main-0.8.2
=x11-plugins/compiz-plugins-extra-0.8.2
=x11-plugins/compiz-plugins-unsupported-0.8.2
=x11-themes/emerald-themes-0.5.2
=x11-wm/emerald-0.8.2
=x11-libs/libcompizconfig-0.8.2
=x11-libs/compizconfig-backend-kconfig-0.8.2
=x11-libs/compizconfig-backend-gconf-0.8.2
=x11-wm/compiz-fusion-0.8.2
=x11-wm/compiz-0.8.2

=x11-apps/fusion-icon-0.1

>=dev-libs/iniparser-3.0b-r1
Back to top
View user's profile Send private message
R.Aven
n00b
n00b


Joined: 04 Mar 2008
Posts: 51

PostPosted: Fri Jul 17, 2009 11:41 am    Post subject: Reply with quote

azmodai wrote:
no luck for me ....
I downgraded everything as you said, no results ...
My package.keywords/compiz :
Quote:

=dev-python/compizconfig-python-0.8.2
=x11-apps/ccsm-0.8.2
=x11-apps/simple-ccsm-0.8.2
=x11-libs/compiz-bcop-0.8.2
=x11-plugins/compiz-plugins-main-0.8.2
=x11-plugins/compiz-plugins-extra-0.8.2
=x11-plugins/compiz-plugins-unsupported-0.8.2
=x11-themes/emerald-themes-0.5.2
=x11-wm/emerald-0.8.2
=x11-libs/libcompizconfig-0.8.2
=x11-libs/compizconfig-backend-kconfig-0.8.2
=x11-libs/compizconfig-backend-gconf-0.8.2
=x11-wm/compiz-fusion-0.8.2
=x11-wm/compiz-0.8.2

=x11-apps/fusion-icon-0.1

>=dev-libs/iniparser-3.0b-r1

I'm sure it works, but not the way you configured it. If you used ccsm/simple-ccsm with the broken libcompizconfig it propably broke your config file, as it did on my system. If you go any backups of .config/compiz, apply them or reconfigure compiz again manually.
Back to top
View user's profile Send private message
eric.frederich
n00b
n00b


Joined: 01 May 2007
Posts: 13

PostPosted: Fri Jul 17, 2009 12:33 pm    Post subject: Reply with quote

R.Aven wrote:
azmodai wrote:
I updated everything, I used the latest ebuilds from the desktop-effects overlay
(i.e. : compiz-0.8.2-r3, libcompizconfig-r2 etc ....)
and I got exactly the same problem when I launched "compiz --replace &"

I've got the same problem, too.
I can't even configure compiz with ccsm. It "forgets" all the changes I made. Also applying my backup configuration files to ~/.config/compiz does not work.

EDIT:
After downgrading to x11-wm/compiz-fusion-0.8.2, x11-libs/libcompizconfig-0.8.2 and x11-wm/compiz-0.8.2 I can use ccsm correctly, again. And compiz is running as well.


+1 this worked for me as well.

Here is my package.keywords/compiz.keywords

Code:
x11-apps/fusion-icon
dev-python/compizconfig-python
x11-wm/compiz
=x11-libs/libcompizconfig-0.8.2
x11-wm/compiz-fusion
x11-plugins/compiz-plugins-main
x11-plugins/compiz-plugins-extra
x11-apps/ccsm
x11-libs/compiz-bcop
x11-wm/emerald
x11-themes/emerald-themes
x11-libs/compizconfig-backend-kconfig
x11-libs/compizconfig-backend-gconf


Previously, the contents of the files in ~/.config/compiz/compizconfig/ were all fubar'ed. Looked like a recursive error. These files are fine now after downgrading.
I downgraded, then deleted ~/.config/compiz, then ran fusion-icon.

EDIT: created bug https://bugs.gentoo.org/show_bug.cgi?id=278146
Back to top
View user's profile Send private message
magowiz
Veteran
Veteran


Joined: 17 Feb 2005
Posts: 1029
Location: Italy/Milan/Bresso

PostPosted: Fri Jul 17, 2009 1:07 pm    Post subject: Reply with quote

I have problems with libcompizconfig 0.8.2-r2 too, I think mine is related to ati opensource drivers since on another pc which have nvidia proprietary drivers all works without problems. I reported it in bugzilla here : https://bugs.gentoo.org/show_bug.cgi?id=278132
Also for me a downgrade to 0.8.2 solved the issue.

Check if your problem is related to mine or instead if there are two different problems with libcompizconfig, but I really think that mine problem is different from yours.
Back to top
View user's profile Send private message
DeadMonkey
Tux's lil' helper
Tux's lil' helper


Joined: 19 Jul 2002
Posts: 80
Location: Sitting in a Chair

PostPosted: Fri Jul 17, 2009 1:33 pm    Post subject: Reply with quote

I could be wrong but I think the problems most of you are having are related to this bug: https://bugs.gentoo.org/show_bug.cgi?id=259715

Once I installed iniparser on my updated compiz builds I couldn't get compiz or gtk-window-decorator to run. Downgrading as others have and removing iniparser fixed my issues for now.

JR
Back to top
View user's profile Send private message
nixnut
Bodhisattva
Bodhisattva


Joined: 09 Apr 2004
Posts: 10974
Location: the dutch mountains

PostPosted: Fri Jul 17, 2009 5:18 pm    Post subject: Reply with quote

Moved from Desktop Environments to Unsupported Software.
overlay stuff, so moved here
_________________
Please add [solved] to the initial post's subject line if you feel your problem is resolved. Help answer the unanswered

talk is cheap. supply exceeds demand
Back to top
View user's profile Send private message
piwacet
Guru
Guru


Joined: 30 Dec 2004
Posts: 486

PostPosted: Fri Jul 17, 2009 8:26 pm    Post subject: Reply with quote

Er, absolutely no overlays on my computer. It's all from portage.
Back to top
View user's profile Send private message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Fri Jul 17, 2009 9:26 pm    Post subject: Reply with quote

I downgraded libcompizconfig and deleted ~/.config/compiz ~/.cache (be careful) ~/.emerald
now when I run fusion-icon it works ! it still does not work with the classic way .... i.e: compiz --replace & emerald --replace
I get compiz-fusion & emerald working thanks to fusion-icon but I don't want the icon in fact ....
Any idea ?
I'm going to study how fusion-icon scripts work to see if I can create my own working script to launch compiz-fusion & emerald with the desktop, I keep you in touch

nixnut: I just tried the desktop-effects overaly, in fact I got the same problem with the overlay and with the official tree.
Back to top
View user's profile Send private message
eric.frederich
n00b
n00b


Joined: 01 May 2007
Posts: 13

PostPosted: Fri Jul 17, 2009 10:37 pm    Post subject: Reply with quote

DeadMonkey wrote:
I could be wrong but I think the problems most of you are having are related to this bug: https://bugs.gentoo.org/show_bug.cgi?id=259715

Once I installed iniparser on my updated compiz builds I couldn't get compiz or gtk-window-decorator to run. Downgrading as others have and removing iniparser fixed my issues for now.

JR


Actually, now that I think of it, I uninstalled iniparser as well.
This might be key too.

I remember having to add iniparser to package.keywords when doing my -uDNv world.
Then when I downgraded I removed it from package.keywords but for some reason --depclean didn't remove it so I manually removed it and it didn't get added back in with a -uDNv or a revdep-rebuild.
Back to top
View user's profile Send private message
azmodai
n00b
n00b


Joined: 07 Jul 2006
Posts: 63

PostPosted: Sat Jul 18, 2009 8:48 am    Post subject: Reply with quote

I got this problem, it's surely a minor one but if you know how to solve that I'll be glad ;-)

Quote:

* Detected Session: unknown
* Searching for installed applications...
* NVIDIA on Xorg detected, exporting: __GL_YIELD=NOTHING
* Using the GTK Interface
* Starting Compiz
... executing: compiz --replace --sm-disable --ignore-desktop-hints ccp
compiz (cube) - Warn: Failed to load slide: freedesktop
* Launching Settings Manager
Info: No sexy-python package found, don't worry it's optional.
Loading icons...
compiz (cube) - Warn: Failed to load slide: freedesktop
compiz (cube) - Warn: Failed to load slide: freedesktop


The 2 latest lines are strange, I decided to install dev-perl/X11-FreeDesktop-DesktopEntry but no success, I got always the same problem
This is just a warning but as the fusion-icon automatically appears on the bottom of my screen I would like to solve that because I think this warning explains why the "fusion-icon" picture
is not loaded for displaying the fusion-icon icon (in fact I got a default picture for the fusion-icon),

It's not that important but if you know how solve that ... ;-)

thanks,
Back to top
View user's profile Send private message
Small_Penguin
Tux's lil' helper
Tux's lil' helper


Joined: 27 May 2005
Posts: 137

PostPosted: Sat Jul 18, 2009 7:25 pm    Post subject: Reply with quote

Simply downgrading libcompizconfig to 0.8.2 solved this for me. Thanks!
Back to top
View user's profile Send private message
omidxo
n00b
n00b


Joined: 23 Feb 2005
Posts: 65

PostPosted: Sun Jul 19, 2009 3:01 am    Post subject: Reply with quote

Select the 'GConf Configuration Backend' in ccsm. Works for me.
Or edit ~/.config/compiz/compizconfig/config like this:
Code:

[gnome_session]
profile                        =
backend                        = gconf
Back to top
View user's profile Send private message
NuLL3rr0r
n00b
n00b


Joined: 13 Jul 2009
Posts: 23

PostPosted: Sun Jul 19, 2009 8:18 am    Post subject: Reply with quote

tnxXx Guys!!

You're ROCK!!!

I just masked >=x11-libs/libcompizconfig-0.8.2-r2

Code:

# nano /etc/portage/package.mask
### Compiz Fix
>=x11-libs/libcompizconfig-0.8.2-r2
###



Code:
# emerge libcompizconfig


and ran:
Code:
emerald --replace & LIBGL_ALWAYS_INDIRECT=1 INTEL_BATCH=1 compiz --replace --indirect-rendering --sm-disable ccp &> /tmp/compiz.log


everything just works fine now and I'm very happy :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum